#!/usr/bin/env ruby

# frozen_string_literal: true

require 'bundler/setup'
require 'dry/cli'

module PCHWBM
  module CLI
    # Commands module for dry-cli
    module Commands

      extend Dry::CLI::Registry

      # Version subcommand definition
      class Version < Dry::CLI::Command

        desc 'Print program version.'

        def call(*)
          puts('PCHWBM tool version 0.1.0.')
        end

      end

      # Register commands with the CLI
      register 'version', Version, aliases: ['v', '-v', '--version']

    end
  end
end

# Run the CLI
Dry::CLI.new(PCHWBM::CLI::Commands).call()
